build:
  image: docker
  services:
  - docker:dind
  script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" "$CI_REGISTRY"
  - if test "$CI_COMMIT_REF_SLUG" = "master"; then CI_COMMIT_REF_SLUG="latest"; fi
  #- docker pull "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG" || true
  - docker build --cache-from "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG" -t "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG" .
  - docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG"

